Status: Closed   

Priority: Normal   

Assignee:    

Category: Compute resources - EC2   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.12.3

Bugzilla link: 1719056 Red Hat JIRA:  

Pull request:    

Description

Can we tell TheForeman to use a IAM role when querying AWS API ?

http://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_use_switch-role-api.html

Related issues:

Related to Foreman - Feature #16191: EC2 IAM Role should be a VM setting rath... Closed

History

#1 - 11/09/2016 06:20 AM - Dominic Cleal

- Related to Feature #16191: EC2 IAM Role should be a VM setting rather than image setting added

#2 - 11/09/2016 07:47 AM - Fab Ien

Fab Ien wrote:

Can we tell TheForeman to use a IAM role when querying AWS API ?

http://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_use_switch-role-api.html

 @Dominic it is different than 16191

16191: set a Role on a EC2 instance

My feature is using a IAM Role when calling API.

an AWS Compute Profile contains AWS_ACCES_KEY and AWS_SECRET_ACCESS_KEY, we should be able to set a IAM role too

#3 - 11/22/2019 10:29 AM - Kavita Gaikwad

- Bugzilla link set to 1719056

#4 - 07/15/2021 09:13 AM - Amir Fefer

- Status changed from New to Closed

we do not expect this to be implemented in foreman in the foreseeable future

Powered by TCPDF (www.tcpdf.org)

05/20/2024 1/1

http://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_use_switch-role-api.html
http://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_use_switch-role-api.html
http://www.tcpdf.org

